#Read references to Psychological Science
setwd("/Users/kliegl/documents/manuscripts/APS")

rm(list=ls())
a <- read.delim("scopus.Fig1.txt")

library(ggplot2)
a2 <- melt(a, id=c("Field", "Region"), variable_name="Year")
names(a2)[4] <- "Count"
levels(a2$Year) <- c(1996:2006)
a2$Year <- as.numeric(a2$Year)+1995

# ECP+NPP+SP
xt8 <- a2[a2$Field=="ECP" | a2$Field=="NPP" | a2$Field=="SP", ]
levels(xt8$Field)[c(4, 5, 7)] <- c("Experimental/Cognitive Psychology", "Neuro-/Physiological Psychology", "Social Psychology")

# Change Quartz zu 12:4
quartz(width = 12, height = 4)
qplot(x=Year, y=log(Count), data=xt8, colour=Region, facets= . ~ Field, geom=c("point","line"),  ylim=c(4, 7.5), ylab = "log(SJR Citable documents)")
p + opts(title = "SJR Citable Documents for Selected Fields of Psychology") + opts(legend.justification = "centre")

ggsave(file="Kliegl.APSObserver.Figure1.V2.pdf", scale=1.5)

postscript("Kliegl.APSObserver.Figure1.V2.eps", width = 12.0, height = 4.0, horizontal = TRUE)
qplot(x=Year, y=log(Count), data=xt8, colour=Region, facets= . ~ Field, geom=c("point","line"),  ylim=c(4, 7.5), ylab = "log(SJR Citable documents)")
ggsave(file="Kliegl.APSObserver.Figure1.V2", device=postscript("Kliegl.APSObserver.Figure1.V2.eps", width = 12.0, height = 4.0, horizontal = TRUE), scale=1.5)
dev.off()


qplot(x=Year, y=Count, data=a2, colour=Region, facets=Field ~ ., geom=c("point","line"), log="y")

# Psychology
xt1 <- a2[a2$Field=="PSY", ]
p <- qplot(x=Year, y=log(Count), data=xt1, colour=Region, geom=c("point","line"),  ylab = "log(citable documents)")
p + opts(title = "Psychology")

# Experimental and Cognitive Psychology
xt2 <- a2[a2$Field=="ECP", ]
p <- qplot(x=Year, y=log(Count), data=xt2, colour=Region, geom=c("point","line"),  ylim=c(3, 8), ylab = "log(citable documents)")
p + opts(title = "Experimental/Cognitive Psychology")

# Neuropsychology and Physiological Psychology
xt3 <- a2[a2$Field=="NPP", ]
p <- qplot(x=Year, y=log(Count), data=xt3, colour=Region, geom=c("point","line"),  ylim=c(3, 8), ylab = "log(citable documents)")
p + opts(title = "Neuo-/Physiological Psychology")

# Social Psychology
xt4 <- a2[a2$Field=="SP", ]
p <- qplot(x=Year, y=log(Count), data=xt4, colour=Region, geom=c("point","line"),  ylim=c(3, 8), ylab = "log(citable documents)")
p + opts(title = "Social Psychology")

# Developmental Psychology
xt5 <- a2[a2$Field=="DEP", ]
p <- qplot(x=Year, y=log(Count), data=xt5, colour=Region, geom=c("point","line"),  ylim=c(3, 8), ylab = "log(citable documents)")
p + opts(title = "Developmental/Educational Psychology")

# Clinical Psychology
xt6 <- a2[a2$Field=="CP", ]
p <- qplot(x=Year, y=log(Count), data=xt6, colour=Region, geom=c("point","line"),  ylim=c(3, 8), ylab = "log(citable documents)")
p + opts(title = "Clinical Psychology")

# Applied Psychology
xt7 <- a2[a2$Field=="AP", ]
p <- qplot(x=Year, y=log(Count), data=xt7, colour=Region, geom=c("point","line"),  ylim=c(3, 8), ylab = "log(citable documents)")
p + opts(title = "Applied Psychology")

# ECP+NPP+SP
xt8 <- a2[a2$Field=="ECP" | a2$Field=="NPP" | a2$Field=="SP", ]
levels(xt8$Field)[c(4, 5, 7)] <- c("Experimental/Cognitive Psychology", "Neuro-/Physiological Psychology", "Social Psychology")

# Change Quartz zu 12:4
quartz(width = 12, height = 3)
qplot(x=Year, y=log(Count), data=xt8, colour=Region, facets= . ~ Field, geom=c("point","line"),  ylim=c(4, 7.5), ylab = "log(SJR Citable documents)")
#p + opts(title = "SJR Citable Documents for Selected Fields of Psychology")
ggsave(file="Kliegl.APSObserver.Figure1.V2.pdf", scale=1.5)

postscript("Kliegl.APSObserver.Figure1.V2.eps", width = 12.0, height = 4.0, horizontal = TRUE)
p <- qplot(x=Year, y=log(Count), data=xt8, colour=Region, facets= . ~ Field, geom=c("point","line"),  ylim=c(4, 7.5), ylab = "log(SJR Citable documents)")
p + opts(legend.justification = "centre")
dev.off()
