#Read references to Psychological Science
setwd("/Users/kliegl/documents/manuscripts/APS")

rm(list=ls())
a <- read.delim("scopus.Fig1a.txt")

library(ggplot2)
a2 <- melt(a, id=c("Field", "Region"), variable_name="Year")
names(a2)[4] <- "Count"
levels(a2$Year) <- c(1996:2006)
a2$Year <- as.numeric(a2$Year)+1995

xt8 <- a2[a2$Field=="ECP" | a2$Field=="NPP" | a2$Field=="SP", ]
levels(xt8$Field)[c(4, 5, 7)] <- c("Experimental/Cognitive Psychology", "Neuo-/Physiological Psychology", "Social Psychology")

quartz(width = 12, height = 3)
qplot(x=Year, y=log(Count), data=xt8, colour=Region, facets= . ~ Field, geom=c("point","line"),  ylim=c(4, 7.5), ylab = "log(SJR Citable documents)")
ggsave(file="Kliegl.APSObserver.Figure1a.pdf", scale=1.5)

qplot(x=Year, y=Count, data=xt8, colour=Region, facets= . ~ Field, geom=c("point","line"), ylab = "log(SJR Citable documents)")
