# 26 November, 2007 Development of n of articles in 4 Journals (PsychRev, JEP:Gen, PsycholSci, PBR) 
library(reshape)
library(ggplot2)

Year <- 2007:1996
all <-      c(329, 421, 393, 372, 276, 254, 262, 219, 227, 204, 208, 165)
D.abs <-    c(25, 30, 25, 22, 25, 13, 16, 10, 7, 5, 5, 11)
UK.abs <-   c(39, 53, 48, 48, 41, 27, 21, 26, 22, 16, 16, 12)
NL.abs <-   c(16, 20, 17, 25, 14, 11, 7, 4, 2, 6, 3, 3)
CA.abs <-   c(31, 42, 46, 40, 27, 27, 33, 31, 23, 19, 18, 18)
ANZ.abs <-  c(21, 18, 26, 19, 13, 15, 16, 14, 9, 10, 6, 4)  # Australia, New Zealand
F.abs <-    c(8, 14, 14, 14, 7, 6, 11, 3, 5, 7, 4, 2) 
AS.abs <-   c(5, 5, 2, 4, 1, 0, 1, 0, 0, 1, 0, 0)           # Austria, Switzerland
SC.abs <-   c(6, 4, 6, 3, 7, 2, 6, 4, 1, 3, 3, 1)           # SE, FI, NO, DK, IL
SE.abs <-   c(12, 20, 11, 5, 10, 9, 4, 6, 4, 4, 0, 4)       # Italy, Spain, P, Greece
ASIA.abs <- c(7, 15, 7, 4, 5, 5, 6, 3, 1, 4, 2, 0)          # China, Taiwan, Japan, India
IS.abs <-   c(5, 13, 20, 9, 14, 11, 4, 5, 5, 4, 7, 2)       # Israel

d <- data.frame(Year, all, D.abs, UK.abs, NL.abs, CA.abs, ANZ.abs, F.abs, AS.abs,
	    SC.abs, SE.abs, ASIA.abs,IS.abs,
	    D=D.abs/all, UK=UK.abs/all, NL=NL.abs/all, CA=CA.abs/all, ANZ=ANZ.abs/all,
	    F=F.abs/all, AS=AS.abs/all, SC=SC.abs/all, SE=SE.abs/all, ASIA=ASIA.abs/all, IS=IS.abs/all)

d$US <- 1-rowSums(d[,14:24])	
ix <- which(d$Year >= 1997 & d$Year <=2006)  # 10-year slot
d <- d[ix, ]
d.rs <- melt(d, id="Year", measure=c("D", "UK", "CA", "ANZ", "IS"), var="Country")
qplot(Year, value, data=d.rs, colour=Country, geom=c("point", "smooth"), method=lm, formula=y~poly(x,2),
       ylab="Proportion of Publications")

d.rs <- melt(d, id="Year", measure=c("D.abs", "UK.abs",  "CA.abs", "ANZ.abs", "F.abs", "NL.abs"), var="Country")
qplot(Year, value, data=d.rs, colour=Country, geom=c("point", "smooth"), method=lm, formula=y~poly(x,2))

d.rs <- melt(d, id="Year", measure=c("D", "UK", "CA", "ANZ", "US", "IS"), var="Country")
qplot(Year, value, data=d.rs, colour=Country, geom=c("point", "smooth"), method=lm, formula=y~poly(x,2),
       ylab="Proportion of Publications")
