#Read references to Psychological Science
setwd("/Users/kliegl/Desktop")
ps.all <- read.csv("scopus.all.psysci.csv", header=TRUE)
ps.d  <- read.csv("scopus.d.csv", header=TRUE)
ps.uk <- read.csv("scopus.uk.csv", header=TRUE)
ps.f  <- read.csv("scopus.f.csv", header=TRUE)
ps.nl  <- read.csv("scopus.nl.csv", header=TRUE)
ps.sc  <- read.csv("scopus.sc.csv", header=TRUE)
ps.d$Country  <- "d"
ps.uk$Country <- "uk"
ps.f$Country  <- "f"
ps.nl$Country  <- "nl"
ps.sc$Country  <- "sc"

ps <- rbind(ps.d, ps.uk, ps.f)
ps$Cited.by[is.na(ps$Cited.by)] <- 0
ps$Year[ps$Year <= 2000] <- 2000

library(reshape)
ps <- melt(ps, id=c("Country", "Year"), measure="Cited.by")

s <- cast(ps, Year ~ ., length)[2]
names(s)[1] <- "y"

b <- matrix(0, 8, 3)
for (i in 2:4) {
	a <- cast(ps, Year ~ Country, length)[i]
	a[is.na(a)] <- 0
	b[,i-1] <- a[[1]]/s$y
}
b <- data.frame(b)
names(b) <- c("D", "F", "UK")
b$Year <- factor(2000:2007, labels=c("<=2000", "2001", "2002", "2003", "2004", "2005", "2006", "2007")
b$Year <- 2000:2007
b.rs <- melt(b, id="Year", variable_name="Country")
qplot(Year, value, data=b.rs, colour=Country, geom=c("point","line"))

#qplot(Year, value, data=b.rs, colour=Country, geom=c("point","smooth"))