#
rm(list=ls())
ps <- read.csv("scopus.all.psycsci.csv", header=TRUE)
ps <- ps[ps$Year > 1995, -c(3, 5)]
ps$Country <- "other"
ps$Country[grep("Australia", ps$Affiliations)]      <- "AU"
ps$Country[grep("Canada", ps$Affiliations)]         <- "CA"
ps$Country[grep("France", ps$Affiliations)]         <- "F"
ps$Country[grep("Netherlands", ps$Affiliations)]    <- "NL"
ps$Country[grep("United Kingdom", ps$Affiliations)] <- "UK"
ps$Country[grep("Germany", ps$Affiliations)]        <- "D"

ps$Cited.by[is.na(ps$Cited.by)] <- 0

library(reshape)
ps <- melt(ps, id=c("Year", "Country"), measure="Cited.by")

s <- cast(ps, Year ~ ., length)[2]
names(s)[1] <- "y"

b <- matrix(0, 12,7)
for (i in 2:8) {
	a <- cast(ps, Year ~ Country, length)[i]
	a[is.na(a)] <- 0
	b[,i-1] <- a[[1]]/s$y
}
b <- data.frame(b)
names(b) <- c("AU", "CA", "D",  "F", "NL", "UK", "other")

#b$Year <- factor(2000:2007, labels=c("<=2000", "2001", "2002", "2003", "2004", "2005", "2006", "2007")
b$Year <- 1996:2007
b.rs <- melt(b, id="Year", variable_name="Country")

qplot(Year, value, data=b.rs, colour=Country, geom=c("point","line"))

ix <- which(b.rs$Country=="D" | b.rs$Country=="UK")
b.sub <- b.rs[ix,]
qplot(Year, value, data=b.sub, colour=Country, geom=c("point","smooth"))
